﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGrid_Hierarchy_RowDoubleClick : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        RadGrid1.MasterTableView.HierarchyDefaultExpanded = true;
        RadGrid1.MasterTableView.DetailTables[0].HierarchyDefaultExpanded = true;
        RadGrid1.MasterTableView.HierarchyLoadMode = GridChildLoadMode.Client;
        RadGrid1.MasterTableView.DetailTables[0].HierarchyLoadMode = GridChildLoadMode.Client;
        RadGrid1.AllowPaging = false;
        RadGrid1.Rebind();
        HiddenField1.Value = "true";

    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable(RadGrid1.MasterTableView.Name);
    }
    private DataTable GeneratingTable(string tableView)
    {
        DataTable table = new DataTable();
        if (tableView == "master")
        {
            table.Columns.Add("Column1");
            table.Columns.Add("Column2");
            table.Columns.Add("Column3");
            table.Columns.Add("Column4");

            for (int i = 0; i < 5; i++)
            {
                table.Rows.Add("Col1Row" + i, "Col2Row" + i, "Col3Row" + i, "Col4Row" + i);
            }

        }
        else if (tableView == "detail")
        {
            table.Columns.Add("Column5");
            table.Columns.Add("Column6");
            table.Columns.Add("Column7");
            table.Columns.Add("Column8");

            for (int i = 0; i < 2; i++)
            {
                table.Rows.Add("Col5Row" + i, "Col6Row" + i, "Col7Row" + i, "Col8Row" + i);
            }
        }
        return table;
    }
    protected void RadGrid1_DetailTableDataBind(object sender, Telerik.Web.UI.GridDetailTableDataBindEventArgs e)
    {
        e.DetailTableView.DataSource = GeneratingTable(e.DetailTableView.Name);
    }
}